<?php
  if (!$db = mysqli_connect("localhost", "php", "test")){
    exit ('Błąd podczas próby połączenia z serwerem MySQL...<br>');
  }

  if(!mysqli_select_db($db, 'testphp')){
    mysqli_close($db);
    exit ('Błąd podczas wyboru bazy danych: testphp <br>');
  }

  $query = "INSERT INTO osoba VALUES(";
  $query .= "11, 'Maciej', 'Nowak', 1982, 'Lublin'";
  $query .= ")";

  if(!$result = mysqli_query($db, $query)){
    mysqli_close($db);
    exit ('Błąd: zapytanie zostało odrzucone...<br>');
  }

  $rowsNo = mysqli_affected_rows($db);

  echo "Liczba dodanych rekordów: $rowsNo <br>";

  if(!mysqli_close($db)){
    echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br>';
  }
?>
